> For the complete documentation index, see [llms.txt](https://docs.fullwhere.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fullwhere.com/developer/api-references/feedback.md).

# Feedback

## GET /partners/feedback

> Get a feedback by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/feedback":{"get":{"operationId":"PartnersFeedbackController_getFeedback","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the feedback to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The feedback has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerFeedback"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Feedback not found."}},"summary":"Get a feedback by ID","tags":["Feedback"]}}},"components":{"schemas":{"PartnerFeedback":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"context":{"description":"Contextual information about the review","allOf":[{"$ref":"#/components/schemas/PartnerFeedbackContext"}]},"source":{"description":"Source of the review","allOf":[{"$ref":"#/components/schemas/DataSource"}]},"class":{"description":"Class of the review","allOf":[{"$ref":"#/components/schemas/FeedbackClass"}]},"text":{"type":"string","nullable":true,"description":"Review text content","default":null},"html":{"type":"string","nullable":true,"description":"Review html content - Email only","default":null},"externalId":{"type":"string","nullable":true,"description":"External identifier of the review","default":null},"rating":{"type":"number","nullable":true,"description":"Review rating - from 0 to 5 (can be null if the review has no rating)","default":null},"language":{"nullable":true,"description":"Review language, if available","default":null,"allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"tags":{"description":"A list of tags associated with the review, either detected by the system or added manually by the user","type":"array","items":{"$ref":"#/components/schemas/PartnerFeedbackTag"}},"attributes":{"description":"Custom attribute values associated with the review","type":"array","items":{"$ref":"#/components/schemas/PartnerFeedbackCustomAttributeValue"}},"themes":{"description":"Detected review themes","default":[],"type":"array","items":{"$ref":"#/components/schemas/FeedbackTheme"}},"emotions":{"description":"Detected review emotions","default":[],"type":"array","items":{"$ref":"#/components/schemas/FeedbackEmotion"}},"polarity":{"nullable":true,"description":"Detected review polarity","allOf":[{"$ref":"#/components/schemas/FeedbackPolarity"}]},"metadata":{"description":"Metadata associated with the review","allOf":[{"$ref":"#/components/schemas/FeedbackContentMetadatasEmbeddable"}]},"attachments":{"description":"Review attachments (eg. photos, videos)","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerPublicFile"}},"spamScore":{"type":"number","nullable":true,"description":"Spam score, if available.\nLower is better; scores can be negative or positive.\nMessages above 5 are generally considered spam.","default":null},"replies":{"description":"Main replies to the review, if any.\nThis list contains the main response for each channel.","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerFeedbackReply"}},"surveyReplies":{"description":"Raw submitted survey replies associated with the review, if any\nOnly for reviews that come from a survey source (SURVEY)","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerSurveyReply"}},"contactFormReplies":{"description":"Raw submitted contact form replies associated with the review, if any\nOnly for reviews that come from a contact form source (SITE)","default":[],"type":"array","items":{"$ref":"#/components/schemas/PartnerContactFormReply"}},"socialPostComment":{"nullable":true,"description":"Associated social post comment, if any (only for reviews that come from a social network source)","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/PartnerSocialPostComment"}]},"likeRecommended":{"type":"boolean","nullable":true,"description":"Only for social network comments.\nDetermines whether the post comment should be liked or not","default":null},"replyRecommended":{"type":"boolean","nullable":true,"description":"Only for social network comments.\nDetermines whether the post comment should have a reply or not","default":null},"hideRecommended":{"type":"boolean","nullable":true,"description":"Only for social network comments.\nDetermines whether the post comment should be hidden or not","default":null},"analyzed":{"type":"boolean","description":"Whether or not the review has been analyzed by the system"},"csatIndex":{"type":"number","nullable":true,"description":"Customer Satisfaction Index for the content's feedback.\nOnly for survey feedbacks with CSAT question type.","default":null},"npsValue":{"type":"number","nullable":true,"description":"Net Promoter Score value for the content's feedback.\nOnly for survey feedbacks with NPS question type.","default":null},"deleted":{"type":"boolean","description":"Determines whether review has been removed from its source platform"},"imported":{"type":"boolean","description":"Determines if the review has been imported manually (eg. via CSV import) or automatically via an integration"}},"required":["id","createdAt","updatedAt","context","source","class","text","html","externalId","rating","language","tags","attributes","themes","emotions","polarity","metadata","attachments","spamScore","replies","surveyReplies","contactFormReplies","socialPostComment","likeRecommended","replyRecommended","hideRecommended","analyzed","csatIndex","npsValue","deleted","imported"]},"PartnerFeedbackContext":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"brandId":{"type":"string","description":"Brand identifier"},"storeId":{"type":"string","nullable":true,"description":"Store identifier","default":null},"purchaseId":{"type":"string","nullable":true,"description":"Purchase identifier","default":null},"customerId":{"type":"string","nullable":true,"description":"Customer identifier","default":null},"contactFormId":{"type":"string","nullable":true,"description":"Contact form identifier","default":null},"surveyId":{"type":"string","nullable":true,"description":"Survey identifier","default":null},"surveyTrackerId":{"type":"string","nullable":true,"description":"Survey Tracker identifier","default":null},"supportEmailId":{"type":"string","nullable":true,"description":"Support email identifier","default":null},"socialPostId":{"type":"string","nullable":true,"description":"Social post identifier","default":null},"link":{"type":"string","description":"Link to Fullwhere webapp"},"status":{"description":"Determines whether a review of this context is awaiting a response (UNPROCESSED), has been processed (PROCESSED), or has been bypassed (BYPASSED).","allOf":[{"$ref":"#/components/schemas/FeedbackStatus"}]},"agentMode":{"description":"@inheritdoc","allOf":[{"$ref":"#/components/schemas/FeedbackAgentMode"}]},"closedAt":{"format":"date-time","type":"string","nullable":true,"description":"Date when the interaction was closed. Null means it is still open."},"archived":{"type":"boolean","description":"Determines if the review context has been archived"},"responseTime":{"type":"number","nullable":true,"description":"Response time in seconds.\nThis is the time between the original review and its first reply.","default":null},"interactionTime":{"type":"number","nullable":true,"description":"Interaction time in seconds.\nThis is the time between the original review and its last reply.","default":null},"reactionTimes":{"type":"number","nullable":true,"description":"Reaction times in seconds.\nThis is the time between each review and its first reply.","default":null},"allowEmailReply":{"type":"boolean","description":"Determines whether email replies are allowed for this review context"},"allowSmsReply":{"type":"boolean","description":"Determines whether SMS replies are allowed for this review context"}},"required":["id","createdAt","updatedAt","brandId","storeId","purchaseId","customerId","contactFormId","surveyId","surveyTrackerId","supportEmailId","socialPostId","link","status","agentMode","closedAt","archived","responseTime","interactionTime","reactionTimes","allowEmailReply","allowSmsReply"]},"FeedbackStatus":{"type":"string","enum":["PROCESSED","UNPROCESSED","BYPASSED"],"description":"Determines whether a review of this context is awaiting a response (UNPROCESSED), has been processed (PROCESSED), or has been bypassed (BYPASSED)."},"FeedbackAgentMode":{"type":"string","enum":["LIVE","SUSPENDED"],"description":"@inheritdoc"},"DataSource":{"type":"string","enum":["AutoGestion","Booking","BubbleContactEmail","Como","Deliveroo","Email","Experience","Lunoval","Facebook","Google","Gmail","Import","Instagram","Juxta","Mews","Oracle","Outlook","Salesforce","SelligentPartouche","Sevenrooms","Site","Sms","Sunday","Survey","TripAdvisor","Ubereats","WhatsApp","Zelty","Zenchef","TheFork","TikTok","Chr365","Expedia","Hotels.com","MisterBooking"],"description":"Data sources associated with the customer"},"FeedbackClass":{"type":"string","enum":["Review","Survey","Contact","Message","Post"],"description":"Class of the review"},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerFeedbackTag":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"tag":{"type":"string","description":"Tag name"},"color":{"type":"string","nullable":true,"description":"Tag hexadecimal color","default":null}},"required":["id","createdAt","updatedAt","tag","color"]},"PartnerFeedbackCustomAttributeValue":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"attribute":{"type":"string","description":"ID of the related custom attribute."},"type":{"description":"The type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeType"}]},"autoDetected":{"type":"boolean","description":"Determines if the value was auto-detected"},"fromPossibleValue":{"type":"string","nullable":true,"description":"The ID of the possible value selected if applicable\nOnly used for select type custom attributes, null otherwise","default":null},"text":{"type":"string","nullable":true,"description":"Submitted text value if applicable\nOnly used for text type custom attributes, null otherwise","default":null},"rating":{"type":"string","nullable":true,"description":"Submitted numeric value if applicable\nOnly used for rating type custom attributes, null otherwise","default":null},"value":{"type":"string","description":"The value of the custom attribute as string, which can be either:\n- The text value for text type custom attributes\n- The numeric value for rating type custom attributes\n- The value of the selected possible value for select type custom attributes"}},"required":["id","createdAt","updatedAt","attribute","type","autoDetected","fromPossibleValue","text","rating","value"]},"CustomAttributeType":{"type":"string","enum":["SINGLE_SELECT","MULTI_SELECT","TEXT","NUMBER"],"description":"The type of the custom attribute."},"FeedbackTheme":{"type":"string","enum":["Complaint","Question","Compliment","Suggestion","Comparison"],"description":"Detected review themes"},"FeedbackEmotion":{"type":"string","enum":["Disappointment","Surprise","Fear","Joy","Anger"],"description":"Detected review emotions"},"FeedbackPolarity":{"type":"string","enum":["Positive","Negative","Neutral"],"description":"Detected review polarity"},"FeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"googleMyBusiness":{"nullable":true,"description":"Google my business feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessFeedbackContentMetadatasEmbeddable"}]},"gmail":{"nullable":true,"description":"Gmail feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/GmailFeedbackContentMetadatasEmbeddable"}]},"outlook":{"nullable":true,"description":"Outlook feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/OutlookFeedbackMetadatasEmbeddable"}]},"zenchef":{"nullable":true,"description":"Zenchef feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefFeedbackMetadatasEmbeddable"}]},"deliveroo":{"nullable":true,"description":"Deliveroo feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackMetadatasEmbeddable"}]},"tripadvisor":{"nullable":true,"description":"TripAdvisor feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/TripAdvisorFeedbackContentMetadatasEmbeddable"}]},"ubereats":{"nullable":true,"description":"UberEats feedback metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/UbereatsFeedbackContentMetadatasEmbeddable"}]},"sevenrooms":{"nullable":true,"description":"Sevenrooms feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsFeedbackMetadatasEmbeddable"}]},"email":{"nullable":true,"description":"Support email feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SupportEmailFeedbackMetadatasEmbeddable"}]},"site":{"nullable":true,"description":"Site feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SiteFeedbackContentMetadatasEmbeddable"}]},"metaMessage":{"nullable":true,"description":"Meta feedback message metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/MetaMessageMetadatasEmbeddable"}]},"whatsapp":{"nullable":true,"description":"WhatsApp feedback message metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppMessageMetadatasEmbeddable"}]},"booking":{"nullable":true,"description":"Booking feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/BookingFeedbackContentMetadatasEmbeddable"}]},"sunday":{"nullable":true,"description":"Sunday feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SundayFeedbackMetadatasEmbeddable"}]},"experience":{"nullable":true,"description":"Experience feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ExperienceFeedbackMetadatasEmbeddable"}]},"lunoval":{"nullable":true,"description":"Lunoval feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/LunovalFeedbackMetadatasEmbeddable"}]},"facebookFeed":{"nullable":true,"description":"Facebook feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/FacebookFeedbackContentMetadatasEmbeddable"}]},"instagramFeed":{"nullable":true,"description":"Instagram feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/InstagramFeedbackContentMetadatasEmbeddable"}]},"thefork":{"nullable":true,"description":"TheFork feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/TheForkFeedbackMetadatasEmbeddable"}]},"expedia":{"nullable":true,"description":"Expedia feedback metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ExpediaFeedbackMetadatasEmbeddable"}]},"hotelsCom":{"nullable":true,"description":"Hotels.com data retrieved through Expedia Group.","type":"object","allOf":[{"$ref":"#/components/schemas/HotelsComFeedbackMetadatasEmbeddable"}]}}},"GoogleMyBusinessFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"createTime":{"type":"string","description":"Google my business review content creation time","format":"date-time","nullable":true},"updateTime":{"type":"string","description":"Google my business review content update time","format":"date-time","nullable":true},"starRating":{"nullable":true,"description":"Google my business review content rates","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessStarRating"}]},"name":{"type":"string","nullable":true},"reviewId":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true,"description":"Google my business review raw content"},"medias":{"nullable":true,"description":"Google my business medias attached to this Feedback","default":[],"type":"array","items":{"$ref":"#/components/schemas/GoogleMyBusinessMediaItemEmbeddable"}},"reviewMediaItems":{"nullable":true,"default":[],"type":"array","items":{"$ref":"#/components/schemas/GoogleMyBusinessReviewMediaItemEmbeddable"}},"reviewer":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessReviewerEmbeddable"}]},"reviewReply":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessFeedbackReplyMetadatasEmbeddable"}]}},"required":["createTime","updateTime","starRating","name","reviewId","comment","medias","reviewMediaItems","reviewer","reviewReply"]},"GoogleMyBusinessStarRating":{"type":"string","enum":["STAR_RATING_UNSPECIFIED","ONE","TWO","THREE","FOUR","FIVE"],"description":"Google my business review content rates"},"GoogleMyBusinessMediaItemEmbeddable":{"type":"object","properties":{"mediaFormat":{"allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessMediaFormat"}]},"name":{"type":"string"},"locationAssociation":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessLocationAssociationEmbeddable"}]},"googleUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"createTime":{"format":"date-time","type":"string"},"dimensions":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessDimensionsEmbeddable"}]},"insights":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessInsightsEmbeddable"}]},"attribution":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessAttributionEmbeddable"}]},"description":{"type":"string","nullable":true},"sourceUrl":{"type":"string","nullable":true},"dataRef":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessDataRefEmbeddable"}]}},"required":["mediaFormat","name","locationAssociation","googleUrl","thumbnailUrl","createTime","dimensions","insights","attribution","description","sourceUrl","dataRef"]},"GoogleMyBusinessMediaFormat":{"type":"string","enum":["MEDIA_FORMAT_UNSPECIFIED","PHOTO","VIDEO"]},"GoogleMyBusinessLocationAssociationEmbeddable":{"type":"object","properties":{"category":{"allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessLocationAssociationCategory"}]},"priceListItemId":{"type":"string","nullable":true}},"required":["category","priceListItemId"]},"GoogleMyBusinessLocationAssociationCategory":{"type":"string","enum":["CATEGORY_UNSPECIFIED","COVER","PROFILE","LOGO","EXTERIOR","INTERIOR","PRODUCT","AT_WORK","FOOD_AND_DRIN","MENU","COMMON_AREA","ROOMS","TEAMS","ADDITIONA"]},"GoogleMyBusinessDimensionsEmbeddable":{"type":"object","properties":{"widthPixels":{"type":"number"},"heightPixels":{"type":"number"}},"required":["widthPixels","heightPixels"]},"GoogleMyBusinessInsightsEmbeddable":{"type":"object","properties":{"viewCount":{"type":"string"}},"required":["viewCount"]},"GoogleMyBusinessAttributionEmbeddable":{"type":"object","properties":{"profileName":{"type":"string"},"profilePhotoUrl":{"type":"string"},"takedownUrl":{"type":"string"},"profileUrl":{"type":"string"}},"required":["profileName","profilePhotoUrl","takedownUrl","profileUrl"]},"GoogleMyBusinessDataRefEmbeddable":{"type":"object","properties":{"resourceName":{"type":"string"}},"required":["resourceName"]},"GoogleMyBusinessReviewMediaItemEmbeddable":{"type":"object","properties":{"thumbnailUrl":{"type":"string","nullable":true},"thumbnailLabel":{"type":"string","nullable":true},"videoUrl":{"type":"string","nullable":true}},"required":["thumbnailUrl","thumbnailLabel","videoUrl"]},"GoogleMyBusinessReviewerEmbeddable":{"type":"object","properties":{"displayName":{"type":"string","nullable":true},"profilePhotoUrl":{"type":"string","nullable":true},"isAnonymous":{"type":"boolean","nullable":true}},"required":["displayName","profilePhotoUrl","isAnonymous"]},"GoogleMyBusinessFeedbackReplyMetadatasEmbeddable":{"type":"object","properties":{"updateTime":{"type":"string","description":"Source update timestamp serialized as an ISO date-time string.","format":"date-time"},"comment":{"type":"string"},"reviewReplyState":{"type":"string","nullable":true,"description":"Provider moderation state of the business reply."}},"required":["updateTime","comment","reviewReplyState"]},"GmailFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"threadId":{"type":"string","nullable":true},"labelIds":{"nullable":true,"type":"array","items":{"type":"string"}},"customLabels":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/GmailApiLabelEmbeddable"}},"snippet":{"type":"string","nullable":true},"historyId":{"type":"string","nullable":true},"internalDate":{"type":"string","nullable":true},"payload":{"$ref":"#/components/schemas/GmailMessagePartEmbeddable"},"sizeEstimate":{"type":"number","nullable":true},"raw":{"type":"string","nullable":true},"classificationLabelValues":{"type":"array","items":{"$ref":"#/components/schemas/GmailClassificationLabelValueEmbeddable"}},"deleted":{"type":"boolean","description":"Whether Gmail confirmed this message no longer exists; local content is retained.","default":false},"read":{"type":"boolean","nullable":true,"description":"Whether the message has been read by the user."},"from":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GmailMessageRecipientEmbeddable"}]},"to":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/GmailMessageRecipientEmbeddable"}},"cc":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/GmailMessageRecipientEmbeddable"}},"subject":{"type":"string","nullable":true},"date":{"format":"date-time","type":"string","nullable":true}},"required":["id","threadId","labelIds","customLabels","snippet","historyId","internalDate","payload","sizeEstimate","raw","classificationLabelValues","deleted","read","from","to","cc","subject","date"]},"GmailApiLabelEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"messageListVisibility":{"type":"string","nullable":true},"labelListVisibility":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"messagesTotal":{"type":"number","nullable":true},"messagesUnread":{"type":"number","nullable":true},"threadsTotal":{"type":"number","nullable":true},"threadsUnread":{"type":"number","nullable":true},"color":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/GmailLabelColorEmbeddable"}]}},"required":["id","name","messageListVisibility","labelListVisibility","type","messagesTotal","messagesUnread","threadsTotal","threadsUnread","color"]},"GmailLabelColorEmbeddable":{"type":"object","properties":{"backgroundColor":{"type":"string","nullable":true},"textColor":{"type":"string","nullable":true}},"required":["backgroundColor","textColor"]},"GmailMessagePartEmbeddable":{"type":"object","properties":{"filename":{"type":"string","nullable":true},"headers":{"type":"array","items":{"$ref":"#/components/schemas/GmailMessagePartHeaderEmbeddable"}},"mimeType":{"type":"string","nullable":true},"partId":{"type":"string","nullable":true}},"required":["filename","headers","mimeType","partId"]},"GmailMessagePartHeaderEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"required":["name","value"]},"GmailClassificationLabelValueEmbeddable":{"type":"object","properties":{"labelId":{"type":"string","nullable":true},"fields":{"type":"array","items":{"$ref":"#/components/schemas/GmailClassificationLabelFieldValueEmbeddable"}}},"required":["labelId","fields"]},"GmailClassificationLabelFieldValueEmbeddable":{"type":"object","properties":{"fieldId":{"type":"string","nullable":true},"selection":{"type":"string","nullable":true}},"required":["fieldId","selection"]},"GmailMessageRecipientEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"email":{"type":"string"}},"required":["name","email"]},"OutlookFeedbackMetadatasEmbeddable":{"type":"object","properties":{"importance":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/Importance"}]},"inferenceClassification":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/InferenceClassificationType"}]},"recipientsMessageId":{"type":"string","description":"Last message used to propose the parent feedback's recipients; absent on message metadata."},"recipientsMessageDate":{"type":"string","description":"Parent recipient watermark; older or equally dated snapshots preserve manual choices."},"deleted":{"type":"boolean","description":"Absent from the tracked mailbox; independent of trash location and feedback deletion.","default":false},"id":{"type":"string"},"conversationId":{"type":"string"},"categories":{"nullable":true,"type":"array","items":{"type":"string"}},"changeKey":{"type":"string","nullable":true},"createdDateTime":{"type":"string","nullable":true},"lastModifiedDateTime":{"type":"string","nullable":true},"subject":{"type":"string"},"sentDateTime":{"type":"string"},"receivedDateTime":{"type":"string"},"sender":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"},"from":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"},"toRecipients":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"ccRecipients":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"bccRecipients":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"replyTo":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageRecipientEmbeddable"}},"conversationIndex":{"type":"string","nullable":true},"flag":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookFollowupFlagEmbeddable"}]},"internetMessageId":{"type":"string","nullable":true},"isDeliveryReceiptRequested":{"type":"boolean","nullable":true},"isReadReceiptRequested":{"type":"boolean","nullable":true},"parentFolderId":{"type":"string","nullable":true},"hasAttachments":{"type":"boolean"},"isDraft":{"type":"boolean"},"isRead":{"type":"boolean"},"internetMessageHeaders":{"type":"array","items":{"$ref":"#/components/schemas/OutlookMessageInternetMessageHeaderEmbeddable"}}},"required":["importance","inferenceClassification","deleted","id","conversationId","categories","changeKey","createdDateTime","lastModifiedDateTime","subject","sentDateTime","receivedDateTime","sender","from","toRecipients","ccRecipients","bccRecipients","replyTo","conversationIndex","flag","internetMessageId","isDeliveryReceiptRequested","isReadReceiptRequested","parentFolderId","hasAttachments","isDraft","isRead","internetMessageHeaders"]},"Importance":{"type":"string","enum":["low","normal","high"]},"InferenceClassificationType":{"type":"string","enum":["focused","other"]},"OutlookMessageRecipientEmbeddable":{"type":"object","properties":{"emailAddress":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookEmailAddressEmbeddable"}]}},"required":["emailAddress"]},"OutlookEmailAddressEmbeddable":{"type":"object","properties":{"address":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"required":["address","name"]},"OutlookFollowupFlagEmbeddable":{"type":"object","properties":{"flagStatus":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/FollowupFlagStatus"}]},"completedDateTime":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookDateTimeTimeZoneEmbeddable"}]},"dueDateTime":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookDateTimeTimeZoneEmbeddable"}]},"startDateTime":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/OutlookDateTimeTimeZoneEmbeddable"}]}},"required":["flagStatus","completedDateTime","dueDateTime","startDateTime"]},"FollowupFlagStatus":{"type":"string","enum":["notFlagged","complete","flagged"]},"OutlookDateTimeTimeZoneEmbeddable":{"type":"object","properties":{"dateTime":{"type":"string"},"timeZone":{"type":"string","nullable":true}},"required":["dateTime","timeZone"]},"OutlookMessageInternetMessageHeaderEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"required":["name","value"]},"ZenchefFeedbackMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"external_site":{"type":"string","nullable":true},"external_id_site":{"type":"string","nullable":true},"source_partner":{"type":"string","nullable":true},"source_partner_id":{"type":"string","nullable":true},"partner_id":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"guest_id":{"type":"number","nullable":true},"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"sexe":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"reply":{"type":"number","nullable":true},"source_date":{"type":"string","nullable":true},"command_id":{"type":"string","nullable":true},"booking":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefPurchaseMetadatasEmbeddable"}]},"guest":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"replies":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefFeedbackReplyMetadatasEmbeddable"}},"tags":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefTagEmbeddable"}},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"service":{"type":"number","nullable":true},"service_body":{"type":"string","nullable":true},"menu":{"type":"number","nullable":true},"menu_body":{"type":"string","nullable":true},"ambiance":{"type":"number","nullable":true},"ambiance_body":{"type":"string","nullable":true},"value_for_money":{"type":"number","nullable":true},"value_for_money_body":{"type":"string","nullable":true},"body":{"type":"string","nullable":true},"global":{"type":"number","nullable":true},"read":{"type":"number","nullable":true}},"required":["id","external_site","external_id_site","source_partner","source_partner_id","partner_id","restaurant_id","booking_id","guest_id","email","name","sexe","url","reply","source_date","command_id","booking","guest","replies","tags","created_at","updated_at","service","service_body","menu","menu_body","ambiance","ambiance_body","value_for_money","value_for_money_body","body","global","read"]},"ZenchefPurchaseMetadatasEmbeddable":{"type":"object","properties":{"is_walk_in":{"description":"Whether the booking is a walk-in, using the provider's numeric or boolean flag.","anyOf":[{"type":"number","nullable":true},{"type":"boolean"}]},"unsubscribed":{"description":"Provider opt-out flag, represented as a boolean or a numeric value.","anyOf":[{"type":"boolean","nullable":true},{"type":"number"}]},"tables":{"type":"array","nullable":true,"description":"Seating table snapshots or legacy string identifiers reported by Zenchef.","default":[],"items":{"anyOf":[{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"},{"type":"string"}]}},"automatic_tags":{"type":"array","description":"Raw provider automatic tags payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"booking_transfer":{"description":"Raw provider booking transfer payload; its shape is not specified by the provider contract.","anyOf":[{}]},"cancel_reason":{"description":"Raw provider cancel reason payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_field_values":{"type":"array","description":"Raw provider custom field values payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"files":{"type":"array","items":{"anyOf":[{}]}},"prescriber":{"anyOf":[{}]},"scheduled_option":{"description":"Raw provider scheduled option payload; its shape is not specified by the provider contract.","anyOf":[{}]},"voucher":{"description":"Raw provider voucher payload; its shape is not specified by the provider contract.","anyOf":[{}]},"voucher_codes":{"type":"array","description":"Raw provider voucher codes payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"id":{"type":"number"},"type":{"type":"string"},"partner_id":{"type":"string","nullable":true},"reservation_type":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"resto_id":{"type":"number","nullable":true},"resto_name":{"type":"string","nullable":true},"to":{"type":"string","nullable":true},"day":{"type":"string","nullable":true},"time":{"type":"string","nullable":true},"nb_guests":{"type":"number","nullable":true},"slots_count":{"type":"string","nullable":true},"civility":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"private_comment":{"type":"string","nullable":true},"allergies":{"type":"string","nullable":true},"cancel_reason_id":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"moment":{"type":"string","nullable":true},"type_client":{"type":"string","nullable":true},"type_event":{"type":"string","nullable":true},"budget":{"type":"string","nullable":true},"date":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"reply_date":{"type":"string","nullable":true},"treatment":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"waiting_list_for":{"type":"string","nullable":true},"is_reconfirmed":{"type":"number","nullable":true},"is_canceled_late":{"type":"number","nullable":true},"waiting_reconfirmation":{"type":"string","nullable":true},"is_locked":{"type":"boolean","nullable":true},"is_not_destockable":{"type":"boolean","nullable":true},"is_virtual_menu_sent":{"type":"number","nullable":true},"review":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"attendance_customer":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number","nullable":true},"waiter_id":{"type":"string","nullable":true},"custom_field":{"type":"string","nullable":true},"prescriber_id":{"type":"string","nullable":true},"is_risky":{"type":"boolean","nullable":true},"is_safe":{"type":"boolean","nullable":true},"status_updated_at":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"source_id":{"type":"number","nullable":true},"shift_date":{"type":"string","nullable":true},"waiting_inside_for":{"type":"string","nullable":true},"seated_substatus":{"type":"string","nullable":true},"phase":{"type":"string","nullable":true},"full_name":{"type":"string","nullable":true},"is_last_mail_notification_success":{"type":"boolean","nullable":true},"is_last_sms_notification_success":{"type":"boolean","nullable":true},"is_modifiable_by_end_user":{"type":"boolean","nullable":true},"late_cancelable_starting_at":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"number"}},"uuid":{"type":"string","nullable":true},"uuid_or_id":{"type":"string","nullable":true},"shift_slot":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefShiftSlotEmbeddable"}]},"shift_slot_id":{"type":"number","nullable":true},"customersheet":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]},"customer_sheet":{"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}},"booking_offers":{"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerBookingOfferEmbeddable"}},"charge":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingChargeEmbeddable"}]},"policy":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingPolicyEmbeddable"}]},"charge_askable":{"type":"boolean","nullable":true},"custom_color":{"type":"string","nullable":true},"expires_at":{"type":"string","nullable":true},"waiter":{"$ref":"#/components/schemas/ZenchefCustomerBookingWaiterEmbeddable"},"wish":{"$ref":"#/components/schemas/ZenchefCustomerBookingWishEmbeddable"},"has_transactional_notifications":{"type":"boolean"}},"required":["is_walk_in","unsubscribed","tables","automatic_tags","booking_transfer","cancel_reason","custom_field_values","files","prescriber","scheduled_option","voucher","voucher_codes","id","type","partner_id","reservation_type","restaurant_id","resto_id","resto_name","to","day","time","nb_guests","slots_count","civility","firstname","lastname","country","phone_number","email","comment","private_comment","allergies","cancel_reason_id","zip","lang","moment","type_client","type_event","budget","date","status","reply_date","treatment","url","waiting_list_for","is_reconfirmed","is_canceled_late","waiting_reconfirmation","is_locked","is_not_destockable","is_virtual_menu_sent","review","review_reminder","attendance_customer","customer_sheet_id","waiter_id","custom_field","prescriber_id","is_risky","is_safe","status_updated_at","created_at","updated_at","source_id","shift_date","waiting_inside_for","seated_substatus","phase","full_name","is_last_mail_notification_success","is_last_sms_notification_success","is_modifiable_by_end_user","late_cancelable_starting_at","tags","uuid","uuid_or_id","shift_slot","shift_slot_id","customersheet","restaurant","customer_sheet","booking_offers","charge","policy","charge_askable","custom_color","expires_at","waiter","wish","has_transactional_notifications"]},"ZenchefRestaurantTableEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"booking_room_id":{"type":"number","nullable":true},"x":{"type":"number","nullable":true},"y":{"type":"number","nullable":true},"min":{"type":"number","nullable":true},"max":{"type":"number","nullable":true},"rotation":{"type":"number","nullable":true},"table_type_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"laravel_through_key":{"type":"number","nullable":true},"table_combinations":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableCombinationEmbeddable"}}},"required":["id","name","booking_room_id","x","y","min","max","rotation","table_type_id","created_at","updated_at","laravel_through_key","table_combinations"]},"ZenchefRestaurantTableCombinationEmbeddable":{"type":"object","properties":{"pivot":{"nullable":true,"description":"Source link between a seating table and its table combination.","type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantPivotEmbeddable"}]},"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"min":{"type":"number","nullable":true},"max":{"type":"number","nullable":true},"position":{"type":"number","nullable":true},"is_group":{"type":"number","nullable":true},"is_bookable":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"booking_room_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["pivot","id","name","min","max","position","is_group","is_bookable","restaurant_id","booking_room_id","created_at","updated_at"]},"ZenchefRestaurantPivotEmbeddable":{"type":"object","properties":{"booking_table_id":{"type":"number","nullable":true},"table_combination_id":{"type":"number","nullable":true}},"required":["booking_table_id","table_combination_id"]},"ZenchefShiftSlotEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"slot_name":{"type":"string","nullable":true},"slot_id":{"type":"number","nullable":true},"interval_in_minutes":{"type":"number","nullable":true},"id":{"type":"number","nullable":true},"shift":{"$ref":"#/components/schemas/ZenchefShiftEmbeddable"}},"required":["name","slot_name","slot_id","interval_in_minutes","id","shift"]},"ZenchefShiftEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefCustomerMetadatasEmbeddable":{"type":"object","properties":{"is_walk_in":{"description":"Whether the booking is a walk-in, using the provider's numeric or boolean flag.","anyOf":[{"type":"number","nullable":true},{"type":"boolean"}]},"unsubscribed":{"description":"Provider opt-out flag, represented as a boolean or a numeric value.","anyOf":[{"type":"boolean","nullable":true},{"type":"number"}]},"tables":{"type":"array","nullable":true,"default":[],"items":{"anyOf":[{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"},{"type":"string"}]}},"image":{"nullable":true,"anyOf":[{}]},"restaurant_customer_sheets":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"social_profile":{"nullable":true,"anyOf":[{}]},"customer_social_id":{"anyOf":[{"type":"string","nullable":true},{"type":"number"}]},"vip":{"description":"Provider VIP flag, represented as a number or a boolean.","anyOf":[{"type":"number","nullable":true},{"type":"boolean"}]},"automatic_tags":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"booking_transfer":{"nullable":true,"anyOf":[{}]},"cancel_reason":{"nullable":true,"anyOf":[{}]},"custom_field_values":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"files":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"prescriber":{"nullable":true,"anyOf":[{}]},"scheduled_option":{"nullable":true,"anyOf":[{}]},"voucher":{"nullable":true,"anyOf":[{}]},"voucher_codes":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"id":{"type":"number"},"type":{"type":"string"},"partner_id":{"type":"string","nullable":true},"reservation_type":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"resto_id":{"type":"number","nullable":true},"resto_name":{"type":"string","nullable":true},"to":{"type":"string","nullable":true},"day":{"type":"string","nullable":true},"time":{"type":"string","nullable":true},"nb_guests":{"type":"number","nullable":true},"slots_count":{"type":"number","nullable":true},"civility":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"private_comment":{"type":"string","nullable":true},"allergies":{"type":"string","nullable":true},"cancel_reason_id":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"moment":{"type":"string","nullable":true},"type_client":{"type":"string","nullable":true},"type_event":{"type":"string","nullable":true},"budget":{"type":"string","nullable":true},"date":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"reply_date":{"type":"string","nullable":true},"treatment":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"waiting_list_for":{"type":"string","nullable":true},"is_reconfirmed":{"type":"number","nullable":true},"is_canceled_late":{"type":"number","nullable":true},"waiting_reconfirmation":{"type":"string","nullable":true},"is_locked":{"type":"boolean","nullable":true},"is_not_destockable":{"type":"boolean","nullable":true},"is_virtual_menu_sent":{"type":"number","nullable":true},"review":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"attendance_customer":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number","nullable":true},"waiter_id":{"type":"number","nullable":true},"custom_field":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"prescriber_id":{"type":"string","nullable":true},"is_risky":{"type":"boolean","nullable":true},"is_safe":{"type":"boolean","nullable":true},"status_updated_at":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"source_id":{"type":"number","nullable":true},"shift_date":{"type":"string","nullable":true},"waiting_inside_for":{"type":"string","nullable":true},"seated_substatus":{"type":"string","nullable":true},"phase":{"type":"string","nullable":true},"full_name":{"type":"string","nullable":true},"is_last_mail_notification_success":{"type":"boolean","nullable":true},"is_last_sms_notification_success":{"type":"boolean","nullable":true},"is_modifiable_by_end_user":{"type":"boolean","nullable":true},"late_cancelable_starting_at":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"number"}},"uuid":{"type":"string","nullable":true},"uuid_or_id":{"type":"string","nullable":true},"shift_slot":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerShiftSlotEmbeddable"}]},"shift_slot_id":{"type":"number","nullable":true},"customersheet":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]},"marketing_param":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMarketingParamEmbeddable"}]},"owner_id":{"type":"number","nullable":true},"restaurantid":{"type":"number","nullable":true},"retention_rate_label":{"type":"string","nullable":true},"retention_rate":{"type":"number","nullable":true},"company":{"type":"string","nullable":true},"account_id":{"type":"number","nullable":true},"customer_company_id":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"professional_email":{"type":"string","nullable":true},"professional_phone":{"type":"string","nullable":true},"birthdate":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"membershipnum":{"type":"string","nullable":true},"has_no_show":{"type":"number","nullable":true},"is_new":{"type":"number","nullable":true},"is_blacklisted":{"type":"number","nullable":true},"has_opt_in_market_mail":{"type":"number","nullable":true},"has_opt_in_review_mail":{"type":"number","nullable":true},"imported_nb_bookings":{"type":"number","nullable":true},"non_duplicate_with":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true},"optins":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerOptinEmbeddable"}},"booking_offers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerBookingOfferEmbeddable"}},"charge":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingChargeEmbeddable"}]},"policy":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingPolicyEmbeddable"}]},"waiter":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingWaiterEmbeddable"}]},"wish":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingWishEmbeddable"}]},"custom_color":{"type":"string","nullable":true},"expires_at":{"type":"string","nullable":true},"customer_sheet":{"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}},"charge_askable":{"type":"boolean","nullable":true},"has_transactional_notifications":{"type":"boolean"}},"required":["is_walk_in","unsubscribed","tables","image","restaurant_customer_sheets","social_profile","customer_social_id","vip","automatic_tags","booking_transfer","cancel_reason","custom_field_values","files","prescriber","scheduled_option","voucher","voucher_codes","id","type","partner_id","reservation_type","restaurant_id","resto_id","resto_name","to","day","time","nb_guests","slots_count","civility","firstname","lastname","country","phone_number","email","comment","private_comment","allergies","cancel_reason_id","zip","lang","moment","type_client","type_event","budget","date","status","reply_date","treatment","url","waiting_list_for","is_reconfirmed","is_canceled_late","waiting_reconfirmation","is_locked","is_not_destockable","is_virtual_menu_sent","review","review_reminder","attendance_customer","customer_sheet_id","waiter_id","custom_field","prescriber_id","is_risky","is_safe","status_updated_at","created_at","updated_at","source_id","shift_date","waiting_inside_for","seated_substatus","phase","full_name","is_last_mail_notification_success","is_last_sms_notification_success","is_modifiable_by_end_user","late_cancelable_starting_at","tags","uuid","uuid_or_id","shift_slot","shift_slot_id","customersheet","restaurant","marketing_param","owner_id","restaurantid","retention_rate_label","retention_rate","company","account_id","customer_company_id","phone","professional_email","professional_phone","birthdate","address","city","membershipnum","has_no_show","is_new","is_blacklisted","has_opt_in_market_mail","has_opt_in_review_mail","imported_nb_bookings","non_duplicate_with","deleted_at","optins","booking_offers","charge","policy","waiter","wish","custom_color","expires_at","customer_sheet","charge_askable","has_transactional_notifications"]},"ZenchefCustomerShiftSlotEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"slot_name":{"type":"string","nullable":true},"slot_id":{"type":"number","nullable":true},"interval_in_minutes":{"type":"number","nullable":true},"id":{"type":"number","nullable":true},"shift":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerShiftEmbeddable"}]}},"required":["name","slot_name","slot_id","interval_in_minutes","id","shift"]},"ZenchefCustomerShiftEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefRestaurantEmbeddable":{"type":"object","properties":{"state":{"nullable":true,"description":"Raw provider state payload; its shape is not specified by the provider contract.","anyOf":[{}]},"tracking_phone":{"nullable":true,"description":"Raw provider tracking phone payload; its shape is not specified by the provider contract.","anyOf":[{}]},"accounting":{"nullable":true,"description":"Raw provider accounting payload; its shape is not specified by the provider contract.","anyOf":[{}]},"reservation_auto_conf_max":{"nullable":true,"description":"Raw provider reservation auto conf max payload; its shape is not specified by the provider contract.","anyOf":[{}]},"ereputation":{"nullable":true,"description":"Raw provider ereputation payload; its shape is not specified by the provider contract.","anyOf":[{}]},"ereputation_activation_code":{"nullable":true,"description":"Raw provider ereputation activation code payload; its shape is not specified by the provider contract.","anyOf":[{}]},"completion":{"nullable":true,"description":"Raw provider completion payload; its shape is not specified by the provider contract.","anyOf":[{}]},"to_be_deleted_at":{"nullable":true,"description":"Raw provider to be deleted at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"deleted_at":{"nullable":true,"description":"Raw provider deleted at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"date_start_contract_updated_at":{"nullable":true,"description":"Raw provider date start contract updated at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"date_end_free_trial":{"nullable":true,"description":"Raw provider date end free trial payload; its shape is not specified by the provider contract.","anyOf":[{}]},"amount_method":{"nullable":true,"description":"Raw provider amount method payload; its shape is not specified by the provider contract.","anyOf":[{}]},"twilio_phone":{"nullable":true,"description":"Raw provider twilio phone payload; its shape is not specified by the provider contract.","anyOf":[{}]},"newsletter_counters_calculated_at":{"nullable":true,"description":"Raw provider newsletter counters calculated at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"socials":{"nullable":true,"description":"Raw provider socials payload; its shape is not specified by the provider contract.","anyOf":[{}]},"module_html":{"nullable":true,"description":"Raw provider module html payload; its shape is not specified by the provider contract.","anyOf":[{}]},"module_video":{"nullable":true,"description":"Raw provider module video payload; its shape is not specified by the provider contract.","anyOf":[{}]},"module_virtual_tour":{"nullable":true,"description":"Raw provider module virtual tour payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_link":{"nullable":true,"description":"Raw provider custom link payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_button":{"nullable":true,"description":"Raw provider custom button payload; its shape is not specified by the provider contract.","anyOf":[{}]},"facebook_app":{"nullable":true,"description":"Raw provider facebook app payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_web_setting":{"nullable":true,"description":"Raw provider custom web setting payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_web_stylesheet":{"nullable":true,"description":"Raw provider custom web stylesheet payload; its shape is not specified by the provider contract.","anyOf":[{}]},"country":{"description":"Source country as a structured snapshot or a legacy string representation.","anyOf":[{"type":"string","nullable":true},{"$ref":"#/components/schemas/ZenchefRestaurantCountryEmbeddable"}]},"tag_params":{"nullable":true,"description":"Raw provider tag params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"suggested_restaurants":{"type":"array","nullable":true,"description":"Raw provider suggested restaurants payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"voucher_param":{"nullable":true,"description":"Raw provider voucher param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_payment_param":{"nullable":true,"description":"Raw provider restaurant payment param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_payment_providers":{"type":"array","nullable":true,"description":"Raw provider restaurant payment providers payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"certifications":{"nullable":true,"description":"Raw provider certifications payload; its shape is not specified by the provider contract.","anyOf":[{}]},"command_comment":{"nullable":true,"description":"Raw provider command comment payload; its shape is not specified by the provider contract.","anyOf":[{}]},"comment":{"nullable":true,"description":"Raw provider comment payload; its shape is not specified by the provider contract.","anyOf":[{}]},"charge_param":{"nullable":true,"description":"Raw provider charge param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"backoffice_param":{"nullable":true,"description":"Raw provider backoffice param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"cancelation_param":{"nullable":true,"description":"Raw provider cancelation param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"waiters":{"type":"array","nullable":true,"description":"Raw provider waiters payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"groups":{"type":"array","nullable":true,"description":"Raw provider groups payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"price_plan":{"nullable":true,"description":"Raw provider price plan payload; its shape is not specified by the provider contract.","anyOf":[{}]},"stock_table_param":{"nullable":true,"description":"Raw provider stock table param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"acl_packs":{"type":"array","nullable":true,"description":"Raw provider acl packs payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"restaurant_params":{"type":"array","nullable":true,"description":"Raw provider restaurant params payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"user_acls":{"type":"array","nullable":true,"description":"Raw provider user acls payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"seatingPlanParams":{"nullable":true,"description":"Raw provider seating plan params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"bookingParams":{"nullable":true,"description":"Raw provider booking params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"commandParams":{"nullable":true,"description":"Raw provider command params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_prepayment_param":{"nullable":true,"description":"Raw provider restaurant prepayment param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_imprint_param":{"nullable":true,"description":"Raw provider restaurant imprint param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"acls":{"type":"array","nullable":true,"description":"Raw provider acls payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"publishers":{"type":"array","nullable":true,"description":"Raw provider publishers payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"reviewDistributions":{"type":"array","nullable":true,"description":"Raw provider review distributions payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"descriptions":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true,"description":"Source descriptions values indexed by their provider keys."},"photos":{"type":"array","description":"Raw provider photos payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"id":{"type":"number","nullable":true},"owner_id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"address_2":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"longitude":{"type":"string","nullable":true},"latitude":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"capacity":{"type":"number","nullable":true},"avg_budget":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"facebook":{"type":"string","nullable":true},"twitter":{"type":"string","nullable":true},"instagram":{"type":"string","nullable":true},"google_plus":{"type":"string","nullable":true},"tripadvisor":{"type":"string","nullable":true},"moving":{"type":"number","nullable":true},"phone":{"type":"string","nullable":true},"phone_2":{"type":"string","nullable":true},"fax":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"reservation_email":{"type":"string","nullable":true},"reservation_phone":{"type":"string","nullable":true},"reservation_phone_sms":{"type":"string","nullable":true},"charge_emails":{"type":"string","nullable":true},"reconfirmation_emails":{"type":"string","nullable":true},"prepay_emails":{"type":"string","nullable":true},"command_emails":{"type":"string","nullable":true},"sms_oadc":{"type":"string","nullable":true},"reservation":{"type":"number","nullable":true},"reservation_notifications":{"type":"number","nullable":true},"delivery":{"type":"number","nullable":true},"actived_phone_tracking":{"type":"number","nullable":true},"metro":{"type":"string","nullable":true},"train":{"type":"string","nullable":true},"velo":{"type":"string","nullable":true},"autolib":{"type":"string","nullable":true},"parking":{"type":"string","nullable":true},"bus":{"type":"string","nullable":true},"delivery_url":{"type":"string","nullable":true},"reservation_url":{"type":"string","nullable":true},"wap_vhost":{"type":"string","nullable":true},"subdomain":{"type":"string","nullable":true},"web_vhost":{"type":"string","nullable":true},"web_subdomain":{"type":"string","nullable":true},"www_redirect":{"type":"string","nullable":true},"page_title":{"type":"string","nullable":true},"own_website":{"type":"number","nullable":true},"analytics":{"type":"string","nullable":true},"tag_manager":{"type":"string","nullable":true},"facebook_pixel_id":{"type":"string","nullable":true},"theme":{"type":"string","nullable":true},"button_theme":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"business_type":{"type":"string","nullable":true},"is_client":{"type":"number","nullable":true},"is_ambassador":{"type":"number","nullable":true},"has_been_client":{"type":"number","nullable":true},"client_type":{"type":"string","nullable":true},"price_plan_id":{"type":"number","nullable":true},"recovery_at":{"type":"string","nullable":true},"is_recovery":{"type":"number","nullable":true},"closed":{"type":"number","nullable":true},"sms_credits":{"type":"number","nullable":true},"reservation_auto_conf":{"type":"number","nullable":true},"auto_modified":{"type":"string","nullable":true},"booking_widget_time_interval":{"type":"string","nullable":true},"is_blocking_waiting":{"type":"number","nullable":true},"custom_web_setting_id":{"type":"string","nullable":true},"sf_opportunity_id":{"type":"string","nullable":true},"sf_account_id":{"type":"string","nullable":true},"cbee_account_id":{"type":"string","nullable":true},"z_account_id":{"type":"string","nullable":true},"invokit_id":{"type":"number","nullable":true},"company_id":{"type":"number","nullable":true},"parent_id":{"type":"string","nullable":true},"country_id":{"type":"number","nullable":true},"google_rating":{"type":"number","nullable":true},"ereputation_id":{"type":"string","nullable":true},"ereputation_url":{"type":"string","nullable":true},"date_start_contract":{"type":"string","nullable":true},"nb_reservation_total":{"type":"string","nullable":true},"revenue_total":{"type":"string","nullable":true},"slug":{"type":"string","nullable":true},"mail_reviews":{"type":"number","nullable":true},"private_reviews":{"type":"number","nullable":true},"private_reviews_reply_displaying":{"type":"number","nullable":true},"private_reviews_period":{"type":"number","nullable":true},"booking_reminder_hours":{"type":"number","nullable":true},"disable_3263":{"type":"number","nullable":true},"new_booking_widget":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"enable_cache":{"type":"number","nullable":true},"privatisation_emails":{"type":"string","nullable":true},"contact_emails":{"type":"string","nullable":true},"review_emails":{"type":"string","nullable":true},"tracking_app_id":{"type":"string","nullable":true},"calldesk_phone":{"type":"string","nullable":true},"optin":{"type":"string","nullable":true},"has_pin":{"type":"boolean","nullable":true},"pin":{"type":"string","nullable":true},"pin_required_from":{"type":"number","nullable":true},"has_room_map":{"type":"number","nullable":true},"has_prepayment":{"type":"number","nullable":true},"has_precharge":{"type":"number","nullable":true},"has_group_search":{"type":"number","nullable":true},"has_automatic_status":{"type":"number","nullable":true},"has_room_selection_on_widget":{"type":"boolean","nullable":true},"is_room_selection_mandatory":{"type":"boolean","nullable":true},"test":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"is_white_label":{"type":"number","nullable":true},"close_commands":{"type":"number","nullable":true},"open_commands":{"type":"number","nullable":true},"commands_auto_conf":{"type":"number","nullable":true},"rooms":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantRoomEmbeddable"}},"tables":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"}},"legalNotice":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantLegalNoticeEmbeddable"}]},"display_name":{"type":"string","nullable":true},"valid_gtc":{"type":"boolean","nullable":true},"current_gtc":{"type":"string","nullable":true},"has_virtual_menu":{"type":"boolean","nullable":true},"has_active_prepayment_connection":{"type":"boolean","nullable":true},"has_active_imprint_connection":{"type":"boolean","nullable":true},"has_active_payment_connection":{"type":"boolean","nullable":true},"is_payment_connection_required":{"type":"boolean","nullable":true},"is_prepayment_connection_required":{"type":"boolean","nullable":true},"is_imprint_connection_required":{"type":"boolean","nullable":true},"is_stripe_connection_required":{"type":"boolean","nullable":true},"has_connected_vouchers":{"type":"boolean","nullable":true},"country_iso2":{"type":"string","nullable":true},"booking_widget":{"type":"string"},"command_widget":{"type":"string"},"menu_widget":{"type":"string"},"currency":{"type":"string"},"logo_url":{"type":"string","nullable":true},"menus":{"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantMenuEmbeddable"}}},"required":["state","tracking_phone","accounting","reservation_auto_conf_max","ereputation","ereputation_activation_code","completion","to_be_deleted_at","deleted_at","date_start_contract_updated_at","date_end_free_trial","amount_method","twilio_phone","newsletter_counters_calculated_at","socials","module_html","module_video","module_virtual_tour","custom_link","custom_button","facebook_app","custom_web_setting","custom_web_stylesheet","country","tag_params","suggested_restaurants","voucher_param","restaurant_payment_param","restaurant_payment_providers","certifications","command_comment","comment","charge_param","backoffice_param","cancelation_param","waiters","groups","price_plan","stock_table_param","acl_packs","restaurant_params","user_acls","seatingPlanParams","bookingParams","commandParams","restaurant_prepayment_param","restaurant_imprint_param","acls","publishers","reviewDistributions","descriptions","photos","id","owner_id","name","address","address_2","zip","city","type","longitude","latitude","timezone","lang","capacity","avg_budget","website","facebook","twitter","instagram","google_plus","tripadvisor","moving","phone","phone_2","fax","email","first_name","last_name","reservation_email","reservation_phone","reservation_phone_sms","charge_emails","reconfirmation_emails","prepay_emails","command_emails","sms_oadc","reservation","reservation_notifications","delivery","actived_phone_tracking","metro","train","velo","autolib","parking","bus","delivery_url","reservation_url","wap_vhost","subdomain","web_vhost","web_subdomain","www_redirect","page_title","own_website","analytics","tag_manager","facebook_pixel_id","theme","button_theme","color","business_type","is_client","is_ambassador","has_been_client","client_type","price_plan_id","recovery_at","is_recovery","closed","sms_credits","reservation_auto_conf","auto_modified","booking_widget_time_interval","is_blocking_waiting","custom_web_setting_id","sf_opportunity_id","sf_account_id","cbee_account_id","z_account_id","invokit_id","company_id","parent_id","country_id","google_rating","ereputation_id","ereputation_url","date_start_contract","nb_reservation_total","revenue_total","slug","mail_reviews","private_reviews","private_reviews_reply_displaying","private_reviews_period","booking_reminder_hours","disable_3263","new_booking_widget","created_at","updated_at","enable_cache","privatisation_emails","contact_emails","review_emails","tracking_app_id","calldesk_phone","optin","has_pin","pin","pin_required_from","has_room_map","has_prepayment","has_precharge","has_group_search","has_automatic_status","has_room_selection_on_widget","is_room_selection_mandatory","test","review_reminder","is_white_label","close_commands","open_commands","commands_auto_conf","rooms","tables","legalNotice","display_name","valid_gtc","current_gtc","has_virtual_menu","has_active_prepayment_connection","has_active_imprint_connection","has_active_payment_connection","is_payment_connection_required","is_prepayment_connection_required","is_imprint_connection_required","is_stripe_connection_required","has_connected_vouchers","country_iso2","booking_widget","command_widget","menu_widget","currency","logo_url","menus"]},"ZenchefRestaurantCountryEmbeddable":{"type":"object","properties":{"oadc":{"nullable":true,"description":"Raw provider oadc payload; its shape is not specified by the provider contract.","anyOf":[{}]},"taxes":{"nullable":true,"description":"Tax definitions reported for the restaurant country.","type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTaxEmbeddable"}},"id":{"type":"number","nullable":true},"iso":{"type":"string","nullable":true},"iso3":{"type":"string","nullable":true},"default_lang":{"type":"string","nullable":true},"available_locales":{"nullable":true,"type":"array","items":{"type":"string"}},"title":{"type":"string","nullable":true},"en":{"type":"string","nullable":true},"fr":{"type":"string","nullable":true},"es":{"type":"string","nullable":true},"pt":{"type":"string","nullable":true},"de":{"type":"string","nullable":true},"it":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"active":{"type":"number","nullable":true},"currency":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"vat":{"type":"string","nullable":true},"locale":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"phone_support":{"type":"string","nullable":true}},"required":["oadc","taxes","id","iso","iso3","default_lang","available_locales","title","en","fr","es","pt","de","it","code","active","currency","created_at","updated_at","vat","locale","timezone","phone_support"]},"ZenchefRestaurantTaxEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"country_id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"value":{"type":"number","nullable":true}},"required":["id","country_id","name","value"]},"ZenchefRestaurantRoomEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name_translations":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantNameTranslationsEmbeddable"}]},"capacity":{"type":"number","nullable":true},"description":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"width":{"type":"number","nullable":true},"height":{"type":"number","nullable":true},"position":{"type":"number","nullable":true},"has_sea":{"type":"number","nullable":true},"has_sand":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["id","name_translations","capacity","description","restaurant_id","width","height","position","has_sea","has_sand","created_at","updated_at"]},"ZenchefRestaurantNameTranslationsEmbeddable":{"type":"object","properties":{"en":{"type":"string","nullable":true}},"required":["en"]},"ZenchefRestaurantLegalNoticeEmbeddable":{"type":"object","properties":{"capital":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"company_type":{"type":"string","nullable":true},"contact_email":{"type":"string","nullable":true},"contact_phone":{"type":"string","nullable":true},"country_code":{"type":"string","nullable":true},"director_name":{"type":"string","nullable":true},"director_title":{"type":"string","nullable":true},"dpo_email":{"type":"string","nullable":true},"dpo_name":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"headquarters":{"type":"string","nullable":true},"host":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"mediator_contact":{"type":"string","nullable":true},"rcs":{"type":"string","nullable":true},"registration_city":{"type":"string","nullable":true},"siret":{"type":"string","nullable":true},"tva":{"type":"string","nullable":true},"restaurant_id":{"type":"number"},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["capital","company","company_type","contact_email","contact_phone","country_code","director_name","director_title","dpo_email","dpo_name","firstname","headquarters","host","lastname","mediator_contact","rcs","registration_city","siret","tva","restaurant_id","created_at","updated_at"]},"ZenchefRestaurantMenuEmbeddable":{"type":"object","properties":{"articles":{"type":"array","description":"Raw provider articles payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"language":{"description":"Raw provider language payload; its shape is not specified by the provider contract.","anyOf":[{}]},"menu_categories":{"type":"array","description":"Raw provider menu categories payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"menu_periods":{"type":"array","description":"Raw provider menu periods payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"name":{"type":"string"},"description":{"type":"string"},"note":{"type":"string"},"id":{"type":"number"},"language_id":{"type":"number"},"position":{"type":"number"},"position_old":{"type":"number"},"price":{"type":"number"},"is_active":{"type":"boolean"},"is_click_collect":{"type":"boolean"},"is_permanently_salable":{"type":"boolean"},"is_permanently_visible":{"type":"boolean"},"is_published":{"type":"boolean"}},"required":["articles","language","menu_categories","menu_periods","name","description","note","id","language_id","position","position_old","price","is_active","is_click_collect","is_permanently_salable","is_permanently_visible","is_published"]},"ZenchefCustomerMarketingParamEmbeddable":{"type":"object","properties":{"has_review":{"type":"boolean","nullable":true}},"required":["has_review"]},"ZenchefCustomerOptinEmbeddable":{"type":"object","properties":{"type":{"description":"Communication channel and purpose covered by this opt-in, when available.","nullable":true,"allOf":[{"$ref":"#/components/schemas/ZenchefCustomerOptinType"}]},"id":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number"},"value":{"type":"boolean","nullable":true},"is_last":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true}},"required":["type","id","customer_sheet_id","value","is_last","created_at"]},"ZenchefCustomerOptinType":{"type":"string","enum":["market_sms","market_mail","review_sms","review_mail"],"description":"Communication channel and purpose covered by this opt-in, when available."},"ZenchefCustomerBookingOfferEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"count":{"type":"number","nullable":true},"offer_id":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"offer_data":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingOfferDataEmbeddable"}]}},"required":["id","count","offer_id","booking_id","created_at","updated_at","offer_data"]},"ZenchefCustomerBookingOfferDataEmbeddable":{"type":"object","properties":{"turn_times":{"nullable":true,"anyOf":[{}]},"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"position":{"type":"number","nullable":true},"date_from":{"type":"string","nullable":true},"date_to":{"type":"string","nullable":true},"is_active":{"type":"boolean","nullable":true},"is_private":{"type":"boolean","nullable":true},"is_highlighted":{"type":"boolean","nullable":true},"is_on_first_step":{"type":"boolean","nullable":true},"is_squeezed":{"type":"boolean","nullable":true},"has_duration":{"type":"boolean","nullable":true},"has_prepayment":{"type":"boolean","nullable":true},"is_cancelable_auto":{"type":"boolean","nullable":true},"charge_per_guests":{"type":"number","nullable":true},"refund_strategy":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]},"description":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"name_translations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"mon":{"type":"boolean","nullable":true},"tue":{"type":"boolean","nullable":true},"wed":{"type":"boolean","nullable":true},"thu":{"type":"boolean","nullable":true},"fri":{"type":"boolean","nullable":true},"sat":{"type":"boolean","nullable":true},"sun":{"type":"boolean","nullable":true},"bookable_from_interval":{"type":"number","nullable":true},"bookable_from_reference":{"type":"string","nullable":true},"bookable_to_interval":{"type":"number","nullable":true},"bookable_to_reference":{"type":"string","nullable":true},"auto_cancelable_after":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true}},"required":["turn_times","id","name","type","position","date_from","date_to","is_active","is_private","is_highlighted","is_on_first_step","is_squeezed","has_duration","has_prepayment","is_cancelable_auto","charge_per_guests","refund_strategy","restaurant_id","restaurant","description","name_translations","mon","tue","wed","thu","fri","sat","sun","bookable_from_interval","bookable_from_reference","bookable_to_interval","bookable_to_reference","auto_cancelable_after","created_at","updated_at","deleted_at"]},"ZenchefCustomerBookingChargeEmbeddable":{"type":"object","properties":{"amount":{"type":"number","nullable":true},"amount_refunded":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"currency":{"type":"string","nullable":true},"customer_id":{"type":"string","nullable":true},"partner_id":{"type":"string","nullable":true},"pending_refund_amount":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"setup_intent_id":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"stripe_client_secret":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"batch_id":{"type":"string","nullable":true},"capture_date":{"type":"string","nullable":true},"charge_id":{"type":"string","nullable":true},"fee":{"type":"number","nullable":true},"fee_gateway":{"type":"number","nullable":true},"fee_ratio":{"type":"number","nullable":true},"fee_zenchef":{"type":"number","nullable":true},"payment_id":{"type":"string","nullable":true},"payout_id":{"type":"string","nullable":true},"quotation_id":{"type":"string","nullable":true},"token":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["amount","amount_refunded","booking_id","currency","customer_id","partner_id","pending_refund_amount","restaurant_id","setup_intent_id","status","stripe_client_secret","type","batch_id","capture_date","charge_id","fee","fee_gateway","fee_ratio","fee_zenchef","payment_id","payout_id","quotation_id","token","created_at","updated_at"]},"ZenchefCustomerBookingPolicyEmbeddable":{"type":"object","properties":{"enduser_cancelable_before":{"type":"number","nullable":true},"refund_strategy":{"type":"string","nullable":true}},"required":["enduser_cancelable_before","refund_strategy"]},"ZenchefCustomerBookingWaiterEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefCustomerBookingWishEmbeddable":{"type":"object","properties":{"booking_id":{"type":"number","nullable":true},"booking_room_id":{"type":"number","nullable":true}},"required":["booking_id","booking_room_id"]},"ZenchefFeedbackReplyMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"review_id":{"type":"number","nullable":true},"reply":{"type":"string","nullable":true},"is_gpt_generated":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["id","review_id","reply","is_gpt_generated","created_at","updated_at"]},"ZenchefTagEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"polarity":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"pivot":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefTagPivotEmbeddable"}]}},"required":["id","name","polarity","type","pivot"]},"ZenchefTagPivotEmbeddable":{"type":"object","properties":{"review_id":{"type":"number","nullable":true},"polarity_tag_id":{"type":"number","nullable":true}},"required":["review_id","polarity_tag_id"]},"DeliverooFeedbackMetadatasEmbeddable":{"type":"object","properties":{"order_uuid":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"rating_comment":{"type":"string","nullable":true},"rating_stars":{"type":"number","nullable":true},"restaurant_id":{"type":"string","nullable":true},"frequency":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFrequencyMetadatasEmbeddable"}]},"refund":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackRefundMetadatasEmbeddable"}]},"order":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPurchaseMetadatasEmbeddable"}]},"reply":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackReplyMetadatasEmbeddable"}]}},"required":["order_uuid","created_at","rating_comment","rating_stars","restaurant_id","frequency","refund","order","reply"]},"DeliverooFrequencyMetadatasEmbeddable":{"type":"object","properties":{"customer_orders":{"type":"number","nullable":true}},"required":["customer_orders"]},"DeliverooFeedbackRefundMetadatasEmbeddable":{"type":"object","properties":{"order_id":{"type":"string","nullable":true},"order_uuid":{"type":"string","nullable":true},"order_drn_id":{"type":"string","nullable":true},"order_number":{"type":"number","nullable":true},"branch_id":{"type":"number","nullable":true},"branch_name":{"type":"string","nullable":true},"order_date":{"type":"string","nullable":true},"order_refund_status":{"type":"string","nullable":true},"order_type":{"type":"string","nullable":true},"refund_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"refund_paid_by_restaurant_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"order_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"order_sub_total":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"order_gross_merchandise_value":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"items":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackRefundItemMetadatasEmbeddable"}},"compensations":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackCompensationMetadatasEmbeddable"}}},"required":["order_id","order_uuid","order_drn_id","order_number","branch_id","branch_name","order_date","order_refund_status","order_type","refund_total","refund_paid_by_restaurant_total","order_total","order_sub_total","order_gross_merchandise_value","items","compensations"]},"DeliverooPriceMetadatasEmbeddable":{"type":"object","properties":{"fractional":{"type":"number","nullable":true},"formatted":{"type":"string","nullable":true},"currency_code":{"type":"string","nullable":true}},"required":["fractional","formatted","currency_code"]},"DeliverooFeedbackRefundItemMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"quantity":{"type":"number","nullable":true},"restaurant_name":{"type":"string","nullable":true},"refund_reason":{"type":"string","nullable":true},"unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"modifiers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackMetadatasModifier"}},"category_name":{"type":"string","nullable":true}},"required":["id","name","quantity","restaurant_name","refund_reason","unit_price","total_price","total_unit_price","modifiers","category_name"]},"DeliverooFeedbackMetadatasModifier":{"type":"object","properties":{"name":{"type":"string","nullable":true}},"required":["name"]},"DeliverooFeedbackCompensationMetadatasEmbeddable":{"type":"object","properties":{"photos":{"nullable":true,"description":"Raw provider photos payload; its shape is not specified by the provider contract.","anyOf":[{}]},"refund_status":{"type":"string","nullable":true},"id":{"type":"number","nullable":true},"refund_date":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"action_id":{"type":"string","nullable":true},"input_description":{"type":"string","nullable":true},"selected_resolution":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooFeedbackCompensationSelectedResolutionMetadatasEmbeddable"}]},"compensated_items":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooFeedbackCompensationCompensatedItemsMetadatasEmbeddable"}}},"required":["photos","refund_status","id","refund_date","status","action_id","input_description","selected_resolution","compensated_items"]},"DeliverooFeedbackCompensationSelectedResolutionMetadatasEmbeddable":{"type":"object","properties":{"resolution_type":{"type":"string","nullable":true},"source":{"type":"string","nullable":true},"repeat_order_id":{"type":"string","nullable":true},"repeat_order_drn_id":{"type":"string","nullable":true},"amount":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]}},"required":["resolution_type","source","repeat_order_id","repeat_order_drn_id","amount"]},"DeliverooFeedbackCompensationCompensatedItemsMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true}},"required":["name","id","reason"]},"DeliverooPurchaseMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"items":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooItemsMetadatasEmbeddable"}},"restaurant_id":{"type":"string","nullable":true},"amount":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"status":{"type":"string","nullable":true},"rejection_reason":{"type":"string","nullable":true},"order_number":{"type":"string","nullable":true},"timeline":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooTimelineMetadatasEmbeddable"}]},"customer":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPurchaseCustomerMetadatasEmbeddable"}]},"paid_in_cash":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"short_drn":{"type":"string","nullable":true},"drn_id":{"type":"string","nullable":true}},"required":["id","items","restaurant_id","amount","status","rejection_reason","order_number","timeline","customer","paid_in_cash","short_drn","drn_id"]},"DeliverooItemsMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"quantity":{"type":"number","nullable":true},"unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"total_unit_price":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooPriceMetadatasEmbeddable"}]},"modifiers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/DeliverooModifiersMetadatasEmbeddable"}},"category_name":{"type":"string","nullable":true}},"required":["name","quantity","unit_price","total_price","total_unit_price","modifiers","category_name"]},"DeliverooModifiersMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true}},"required":["name"]},"DeliverooTimelineMetadatasEmbeddable":{"type":"object","properties":{"placed_at":{"type":"string","nullable":true}},"required":["placed_at"]},"DeliverooPurchaseCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true}},"required":["id"]},"DeliverooFeedbackReplyMetadatasEmbeddable":{"type":"object","properties":{"content":{"type":"string","nullable":true},"order_uuid":{"type":"string","nullable":true},"order_drn_id":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"author_name":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"rejection_reason":{"type":"string","nullable":true},"failure_type":{"type":"string","nullable":true},"credit_amount":{"type":"number","nullable":true},"credit_currency_code":{"type":"string","nullable":true}},"required":["content","order_uuid","order_drn_id","status","author_name","created_at","rejection_reason","failure_type","credit_amount","credit_currency_code"]},"TripAdvisorFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"alertStatus":{"type":"boolean"},"rating":{"type":"number"},"status":{"type":"string"},"id":{"type":"number"},"translationType":{"type":"string","nullable":true},"attribution":{"type":"string","nullable":true},"roomTip":{"type":"string","nullable":true},"title":{"type":"string"},"text":{"type":"string"},"username":{"type":"string"},"language":{"type":"string"},"userInfo":{"$ref":"#/components/schemas/TripAdvisorFeedbackUserInfoEmbeddable"},"additionalRatings":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/TripAdvisorFeedbackAdditionalRatingEmbeddable"}}},"required":["alertStatus","rating","status","id","translationType","attribution","roomTip","title","text","username","language","userInfo","additionalRatings"]},"TripAdvisorFeedbackUserInfoEmbeddable":{"type":"object","properties":{"helpfulVotes":{"type":"number"},"contributionCount":{"type":"number"},"homeTown":{"type":"string","nullable":true},"avatarUrl":{"type":"string","nullable":true}},"required":["helpfulVotes","contributionCount","homeTown","avatarUrl"]},"TripAdvisorFeedbackAdditionalRatingEmbeddable":{"type":"object","properties":{"rating":{"type":"number"},"ratingLabel":{"type":"string"}},"required":["rating","ratingLabel"]},"UbereatsFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"uuid":{"type":"string","nullable":true},"timestamp":{"type":"string","nullable":true},"rating":{"type":"number","nullable":true},"comment":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"string"}},"menuItemReviews":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/UbereatsMenuItemReviewEmbeddable"}}},"required":["uuid","timestamp","rating","comment","tags","menuItemReviews"]},"UbereatsMenuItemReviewEmbeddable":{"type":"object","properties":{"__typename":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"rating":{"type":"boolean","nullable":true},"name":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"string"}}},"required":["__typename","id","rating","name","comment","tags"]},"SevenroomsFeedbackMetadatasEmbeddable":{"type":"object","properties":{"recommend_to_friend":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/SevenroomsRecommendToFriend"}]},"feedback_type":{"type":"string","nullable":true},"reservation_id":{"type":"string","nullable":true},"order_id":{"type":"string","nullable":true},"reservation_date":{"type":"string","nullable":true},"received_date":{"type":"string","nullable":true},"created_date":{"type":"string","nullable":true},"overall":{"type":"string","nullable":true},"food":{"type":"string","nullable":true},"drinks":{"type":"string","nullable":true},"ambience":{"type":"string","nullable":true},"service":{"type":"string","nullable":true},"notes":{"type":"string","nullable":true}},"required":["recommend_to_friend","feedback_type","reservation_id","order_id","reservation_date","received_date","created_date","overall","food","drinks","ambience","service","notes"]},"SevenroomsRecommendToFriend":{"type":"string","enum":["Yes","No","not filled in"]},"SupportEmailFeedbackMetadatasEmbeddable":{"type":"object","properties":{"From":{"type":"string"},"FromName":{"type":"string"},"FromFull":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"},"To":{"type":"string"},"ToFull":{"type":"array","items":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"}},"Cc":{"type":"string"},"CcFull":{"type":"array","items":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"}},"Bcc":{"type":"string"},"BccFull":{"type":"array","items":{"$ref":"#/components/schemas/PostmarkInboundRecipientEmbeddable"}},"OriginalRecipient":{"type":"string"},"Subject":{"type":"string"},"ReplyTo":{"type":"string","nullable":true},"Date":{"type":"string","nullable":true},"MailboxHash":{"type":"string","nullable":true},"Tag":{"type":"string","nullable":true},"MessageID":{"type":"string","nullable":true},"Status":{"type":"string","nullable":true},"MessageStream":{"type":"string","nullable":true},"TextBody":{"type":"string","nullable":true},"HtmlBody":{"type":"string","nullable":true},"StrippedTextReply":{"type":"string","nullable":true},"Headers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/PostmarkHeaderEmbeddable"}},"BlockedReason":{"type":"string","nullable":true},"Attachments":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SupportEmailAttachmentMetadatasEmbeddable"}}},"required":["From","FromName","FromFull","To","ToFull","Cc","CcFull","Bcc","BccFull","OriginalRecipient","Subject","ReplyTo","Date","MailboxHash","Tag","MessageID","Status","MessageStream","TextBody","HtmlBody","StrippedTextReply","Headers","BlockedReason","Attachments"]},"PostmarkInboundRecipientEmbeddable":{"type":"object","properties":{"Email":{"type":"string"},"Name":{"type":"string"},"MailboxHash":{"type":"string"}},"required":["Email","Name","MailboxHash"]},"PostmarkHeaderEmbeddable":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"}},"required":["Name","Value"]},"SupportEmailAttachmentMetadatasEmbeddable":{"type":"object","properties":{"Name":{"type":"string"},"ContentID":{"type":"string","nullable":true},"ContentType":{"type":"string"},"ContentLength":{"type":"number"},"Disposition":{"type":"string","nullable":true}},"required":["Name","ContentID","ContentType","ContentLength","Disposition"]},"SiteFeedbackContentMetadatasEmbeddable":{"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormFieldMetadatasEmbeddable"}}},"required":["fields"]},"ContactFormFieldMetadatasEmbeddable":{"type":"object","properties":{"type":{"description":"The type of the form field","allOf":[{"$ref":"#/components/schemas/ContactFormFieldType"}]},"id":{"type":"string","description":"The field id"},"values":{"description":"Field values","type":"array","items":{"type":"string"}},"label":{"type":"string","nullable":true,"description":"The label of the form field, if applicable"},"verticalIndex":{"type":"object","description":"The vertical position index of the form field","default":0},"horizontalIndex":{"type":"object","description":"The horizontal position index of the form field","default":0}},"required":["type","id","values","label","verticalIndex","horizontalIndex"]},"ContactFormFieldType":{"type":"string","enum":["TEXT","DROPDOWN","RADIO","CHECKBOX","FILES","DATE","STORE","FIRSTNAME","LASTNAME","CIVIL
[...]
